///////////////////////////////////////////////////////////////////////////////
///
/// Defines for the version information in the resource file
///
/// PUBLIC DOMAIN
///
///////////////////////////////////////////////////////////////////////////////

// $Id$

#pragma once
#include "buildnumber.h"

// ---------------------------------------------------------------------------
// Several defines have to be given before including this file. These are:
// ---------------------------------------------------------------------------
#define TEXT_AUTHOR            Oliver Schneider // author (optional value)
#define PRD_MAJVER             2 // major product version
#define PRD_MINVER             0 // minor product version
#define PRD_BUILD              0 // build number for product
#define EXE_MAJVER             1 // major app version
#define EXE_MINVER             0 // minor app version
#define EXE_BUILD              PROGRAM_VERSION_BUILD // build number
#define EXE_YEAR               2007 // current year
#define TEXT_WEBSITE           http:/##/assarbad.net // website
#define TEXT_PRODUCTNAME       CMDasSYS // product's name
#define TEXT_FILEDESC          Allows to start a command prompt with SYSTEM privileges // component description
#define TEXT_COMPANY           assarbad.net // company
#define TEXT_MODULE            cmdassys // module name
#define TEXT_COPYRIGHT         Copyright \xA9 EXE_YEAR TEXT_AUTHOR // copyright information
// #define TEXT_SPECIALBUILD      // optional comment for special builds
#define TEXT_INTERNALNAME      cmdassys.exe // copyright information
// #define TEXT_COMMENTS          // optional comments
// ---------------------------------------------------------------------------
// ... well, that's it. Pretty self-explanatory ;)
// ---------------------------------------------------------------------------
